Subject: bug#46934: emacsy-minimal fails to build

From: Maxime Devos <[email-masked]>
Date: Fri, 05 Mar 2021 20:12:45 +0100

On Thu, 2021-03-04 at 22:37 +0100, Xinglu Chen wrote:
> Hi,
> 
> While trying to install Nomad, the emacsy-minimal packages fails to
> build.
> 
> [...]
>
> Since emacsy-minimal uses the gnu-build-system, I thought that
> `autoreconf` would already be available in the build environment, no?

gnu-build-system does not imply "autoconf" as a native-input.
gnu-build-system refers to packages that have a "./configure && make && make check
&& make install" build system, these do not necessarily use autoconf
and automake.  And when they do, the generated Makefile.in and configure
script are often included in the release tarball, in which case
gnu-build-system does not try to call "autoreconf".

(IMHO gnu-build-system should always regenerate configure and Makefile.in
except when it causes bootstrapping problems, but that's a separate matter.)

I propose the attached patch, which seems to let "emacsy-minimal" build
(on top of commit 4bc9a1f4e3bd39302b4ceaab8589a2e6ef82c4bd in my case).
I've also fixed a build input of nomad (wrong variant of gnutls).  I can
now start nomad!

> Any help would be appreciated!

It is a known issue, but it seems to have slippen through the cracks.

Greetings, Maxime.
-- 
Maxime Devos <[email-masked]>
PGP Key: C1F3 3EE2 0C52 8FDB 7DD7  011F 49E3 EE22 1917 25EE
Freenode handle: mdevos
*Not* a guix committer
From c4057074960a525389f781cc30d8c2b82c2e48e5 Mon Sep 17 00:00:00 2001
From: Maxime Devos <[email-masked]>
Date: Fri, 5 Mar 2021 20:03:19 +0100
Subject: [PATCH] gnu: nomad: Fix build.

Fixes: <https://issues.guix.gnu.org/41672>.
Fixes: <https://issues.guix.gnu.org/46934>.

* gnu/packages/guile-xyz.scm
  (emacsy-minimal)[native-inputs]: Add autotools inputs and
  use guile-2.2 instead of guile-3.0.
  (nomad)[inputs]: Use the guile2.2 version of gnutls.
---
 gnu/packages/guile-xyz.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 45b3a82d00..9c237da8f7 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -3254,6 +3254,11 @@ in C using Gtk+-3 and WebKitGtk.")
          (sha256
           (base32 "03ym14g9qhjqmryr5z065kynqm8yhmvnbs2djl6vp3i9cmqln8cl"))))
       (build-system gnu-build-system)
+      (native-inputs
+       `(("autoconf" ,autoconf)
+         ("automake" ,automake)
+         ("guile" ,guile-2.2)
+         ,@(alist-delete "guile" (package-native-inputs emacsy))))
       (inputs
        `(("guile" ,guile-2.2)
          ("guile-lib" ,guile2.2-lib)
@@ -3333,7 +3338,7 @@ perform geometrical transforms on JPEG images.")
        ("guile-lib" ,guile2.2-lib)
        ("guile-readline" ,guile2.2-readline)
        ("guile-gcrypt" ,guile2.2-gcrypt)
-       ("gnutls" ,gnutls)
+       ("guile-gnutls" ,guile2.2-gnutls)
        ("g-golf" ,g-golf)
        ("shroud" ,shroud)
        ("emacsy" ,emacsy-minimal)
-- 
2.30.1